[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomFrame.CalculatePreferredSize

## Declaration

Source position: forms.pp line 278

`protected procedure TCustomFrame.CalculatePreferredSize(`
`var PreferredWidth: Integer;`
`var PreferredHeight: Integer;`
`WithThemeSpace: Boolean`
`); override;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.